Bug 708769 - [abrt] wallpapoz-0.5-6.fc15: wallpapoz:727:load_treeview:IndexError: list index out of range
Summary: [abrt] wallpapoz-0.5-6.fc15: wallpapoz:727:load_treeview:IndexError: list ind...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:af795b7ac4a40991ad5bfe20fcb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-29 13:23 UTC by Lofton Alley
Modified: 2012-01-11 06:12 UTC (History)
0 users

Fixed In Version: wallpapoz-0.5-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-15 05:31:07 UTC


Attachments (Terms of Use)
wallpapoz.xml (5.73 KB, text/plain)
2011-05-30 10:54 UTC, Lofton Alley
no flags Details

Description Lofton Alley 2011-05-29 13:23:50 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        python /usr/bin/wallpapoz
component:      wallpapoz
executable:     /usr/bin/wallpapoz
kernel:         2.6.38.6-26.rc1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        wallpapoz-0.5-6.fc15
reason:         wallpapoz:727:load_treeview:IndexError: list index out of range
time:           Fri May 27 18:22:34 2011
uid:            500
username:       jim

backtrace:
:wallpapoz:727:load_treeview:IndexError: list index out of range
:
:Traceback (most recent call last):
:  File "/usr/bin/wallpapoz", line 501, in ok_preferences_dialog
:    self.load_treeview()
:  File "/usr/bin/wallpapoz", line 727, in load_treeview
:    parent = self.store.append(None, [i+1, worklist[i].pop(0), True])
:IndexError: list index out of range
:
:Local variables in innermost frame:
:j: 2
:parent: <GtkTreeIter at 0x1f3b6a0>
:workspace_num: 5
:i: 4
:self: <__main__.Wallpapoz instance at 0x1cf24d0>
:wallpaper: u'/home/jim/wallpapers/DSCN2495ff.jpg'
:wallpapoz_system: <wallpapoz_system.WallpapozSystem instance at 0x20ce290>
:worklist: [[u'/home/jim/wallpapers/DSCN2495ff.jpg'], [u'/home/jim/wallpapers/DSCN2495ff.jpg'], [u'/home/jim/wallpapers/DSCN2495ff.jpg'], [u'/home/jim/wallpapers/DSCN2495ff.jpg']]

event_log:
:2011-05-27-18:27:09> Logging into Bugzilla at https://bugzilla.redhat.com
:2011-05-27-18:27:13  Can't login. Server said: RPC failed at server.  The username or password you entered is not valid.
:2011-05-27-18:27:13* (exited with 1)

Comment 1 Mamoru TASAKA 2011-05-29 13:41:45 UTC
Well
- Would you write in detail how you can reproduce this issue?
- Also please attach ~/.wallpapoz/wallpapoz.xml

Comment 2 Lofton Alley 2011-05-30 10:54:54 UTC
Created attachment 501776 [details]
wallpapoz.xml

Comment 3 Mamoru TASAKA 2011-05-30 11:53:45 UTC
And would you write in detail how you can reproduce this issue?

Comment 4 Mamoru TASAKA 2011-05-31 04:14:30 UTC
Ah, okay, reproducible.

Comment 5 Fedora Update System 2011-06-01 01:00:55 UTC
wallpapoz-0.5-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-8.fc15

Comment 6 Fedora Update System 2011-06-01 01:01:26 UTC
wallpapoz-0.5-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-8.fc14

Comment 7 Fedora Update System 2011-06-02 19:11:43 UTC
Package wallpapoz-0.5-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wallpapoz-0.5-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/wallpapoz-0.5-8.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-06-15 05:30:35 UTC
wallpapoz-0.5-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-15 05:31:03 UTC
wallpapoz-0.5-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-12-30 07:32:43 UTC
wallpapoz-0.5-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-10.fc16

Comment 11 Fedora Update System 2011-12-30 07:33:15 UTC
wallpapoz-0.5-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-10.fc15

Comment 12 Fedora Update System 2012-01-11 06:09:26 UTC
wallpapoz-0.5-10.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-01-11 06:12:06 UTC
wallpapoz-0.5-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.